## plpgsql-check 1.13.1

=== Makefile ===
# $PostgreSQL: pgsql/contrib/plpgsql_check/Makefile

MODULE_big = plpgsql_check
OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
DATA = plpgsql_check--1.13.sql
EXTENSION = plpgsql_check

ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif

REGRESS_OPTS = --dbname=$(PL_TESTDB)
REGRESS = plpgsql_check_passive plpgsql_check_active plpgsql_check_active-$(MAJORVERSION) plpgsql_check_passive-$(MAJORVERSION)

override CFLAGS += -Wextra -g

ifdef NO_PGXS
subdir = contrib/plpgsql_check
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

ifeq ($(PORTNAME), darwin)
override CFLAGS += -undefined dynamic_lookup
endif

override CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src -Wall

=== debian/changelog ===
plpgsql-check (1.13.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Aug 2020 19:11:15 +0200

plpgsql-check (1.11.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Aug 2020 13:20:20 +0200

plpgsql-check (1.11.3-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Sun, 19 Jul 2020 17:48:12 +0200

plpgsql-check (1.7.6-1) unstable; urgency=medium

  * New upstream version

 -- Stefan Hühner <stefan.huehner@openbravo.com>  Wed, 09 Oct 2019 11:12:10 +0200

plpgsql-check (1.7.1-1) unstable; urgency=medium

  * New upstream version

 -- Stefan Hühner <stefan.huehner@openbravo.com>  Fri, 17 May 2019 11:36:49 +0200

plpgsql-check (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Stefan Hühner <stefan.huehner@openbravo.com>  Wed, 30 Jan 2019 13:37:28 +0100

plpgsql-check (1.2.2-2) unstable; urgency=medium

  * Add patch to avoid false positive with NULL value
    - from upstream commit: 'fix false warnings when rvalue constant is null'

 -- Stefan Hühner <stefan.huehner@openbravo.com>  Fri, 11 May 2018 12:02:22 +0200

plpgsql-check (1.2.2-1) unstable; urgency=medium

  * New Upstream version
  * Add patch to avoid crash
    - committed upstream issue #30
  * add Build-Dependency on libicu-dev (see debian bug #877982)

 -- Stefan Hühner <stefan.huehner@openbravo.com>  Sat, 28 Oct 2017 12:01:28 +0200

plpgsql-check (1.0.5-1) unstable; urgency=medium

  * Initial packaging

 -- Stefan Hühner <stefan.huehner@openbravo.com>  Wed, 21 Dec 2016 15:17:00 +0100

=== debian/control ===
Source: plpgsql-check
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Stefan Hühner <stefan.huehner@openbravo.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-server-dev-all (>= 158~),
Standards-Version: 4.5.0
Homepage: https://github.com/okbob/plpgsql_check
Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git

Package: postgresql-12-plpgsql-check
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	# do nothing

override_dh_auto_install:
	# do nothing

override_dh_install:
	# build all supported versions
	+pg_buildext loop postgresql-%v-plpgsql-check

override_dh_installdocs:
	dh_installdocs --all README.md

%:
	dh $@

## plpgsql-check 1.15.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = plpgsql_check
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
-DATA = plpgsql_check--1.13.sql
+DATA = plpgsql_check--1.15.sql
 EXTENSION = plpgsql_check
 
 ifndef MAJORVERSION

=== debian/changelog ===
plpgsql-check (1.15.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Jan 2021 10:41:48 +0100

plpgsql-check (1.15.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Nov 2020 10:15:22 +0100

plpgsql-check (1.14.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Nov 2020 10:40:11 +0100

plpgsql-check (1.13.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:01:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  libicu-dev,
- postgresql-server-dev-all (>= 158~),
+ postgresql-all (>= 217~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
 
-Package: postgresql-12-plpgsql-check
+Package: postgresql-13-plpgsql-check
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/plpgsql_check-$1\.tar\.gz/ \
  https://github.com/okbob/plpgsql_check/tags .*/v?(\d\S+)\.tar\.gz

## plpgsql-check 1.16.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = plpgsql_check
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
-DATA = plpgsql_check--1.15.sql
+DATA = plpgsql_check--1.16.sql
 EXTENSION = plpgsql_check
 
 ifndef MAJORVERSION

=== debian/changelog ===
plpgsql-check (1.16.0-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 12 Mar 2021 11:48:57 +0100

plpgsql-check (1.16.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Mar 2021 11:48:57 +0100

plpgsql-check (1.15.3-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Feb 2021 10:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stefan Hühner <stefan.huehner@openbravo.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libicu-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0
@@ -14,6 +14,96 @@
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
+
+Package: postgresql-9.5-plpgsql-check
+Architecture: any
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-9.6-plpgsql-check
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-10-plpgsql-check
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-11-plpgsql-check
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-12-plpgsql-check
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
 
 Package: postgresql-13-plpgsql-check
 Architecture: any

## plpgsql-check 1.17.1

=== debian/changelog ===
plpgsql-check (1.17.1-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 30 Jun 2021 13:37:53 +0200

plpgsql-check (1.17.1-2) experimental; urgency=medium

  * New upstream version, compatible with PG10+.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 13:37:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stefan Hühner <stefan.huehner@openbravo.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libicu-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0
@@ -14,42 +14,6 @@
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
-
-Package: postgresql-9.5-plpgsql-check
-Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
-Description: plpgsql_check extension for PostgreSQL
- plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
- The SQL statements inside PL/pgSQL functions are checked for semantic errors.
- .
- Features:
-  * check fields of referenced database objects and types inside embedded SQL
-  * using correct types of function parameters
-  * unused variables and function argumens, unmodified OUT argumens
-  * partially detection of dead code (due RETURN command)
-  * detection of missing RETURN command in function
-  * try to identify unwanted hidden casts, that can be performance issue like
-    unused indexes
-  * possibility to collect relations and functions used by function
-  * possibility to check EXECUTE stmt against SQL injection vulnerability
-
-Package: postgresql-9.6-plpgsql-check
-Architecture: any
-Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
-Description: plpgsql_check extension for PostgreSQL
- plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
- The SQL statements inside PL/pgSQL functions are checked for semantic errors.
- .
- Features:
-  * check fields of referenced database objects and types inside embedded SQL
-  * using correct types of function parameters
-  * unused variables and function argumens, unmodified OUT argumens
-  * partially detection of dead code (due RETURN command)
-  * detection of missing RETURN command in function
-  * try to identify unwanted hidden casts, that can be performance issue like
-    unused indexes
-  * possibility to collect relations and functions used by function
-  * possibility to check EXECUTE stmt against SQL injection vulnerability
 
 Package: postgresql-10-plpgsql-check
 Architecture: any

## plpgsql-check 2.0.4

=== debian/changelog ===
plpgsql-check (2.0.4-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 14 Oct 2021 15:04:57 +0200

plpgsql-check (2.0.4-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PG14.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Oct 2021 15:04:57 +0200

plpgsql-check (2.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Sep 2021 12:18:23 +0200

## plpgsql-check 2.1.1

=== debian/changelog ===
plpgsql-check (2.1.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 03 Jan 2022 16:34:53 +0100

plpgsql-check (2.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jan 2022 16:34:53 +0100

plpgsql-check (2.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Dec 2021 17:05:16 +0100

## plpgsql-check 2.1.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = plpgsql_check
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
-DATA = plpgsql_check--1.16.sql
+DATA = plpgsql_check--2.1.sql
 EXTENSION = plpgsql_check
 
 ifndef MAJORVERSION

=== debian/changelog ===
plpgsql-check (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Feb 2022 10:18:50 +0100

=== debian/control ===
Source: plpgsql-check
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Stefan Hühner <stefan.huehner@openbravo.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/okbob/plpgsql_check
Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git

Package: postgresql-14-plpgsql-check
Architecture: any
Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

## plpgsql-check 2.1.7~20220627.1705-1~1.git4fad513.pgdg21.10+1

=== debian/changelog ===
plpgsql-check (2.1.7~20220627.1705-1~1.git4fad513.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 30 May 2022 17:20:35 +0200

plpgsql-check (2.1.7-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 30 May 2022 17:20:35 +0200

plpgsql-check (2.1.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 20 May 2022 14:49:10 +0200

plpgsql-check (2.1.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 09 May 2022 11:40:59 +0200

plpgsql-check (2.1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 02 May 2022 16:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,78 @@
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
+
+Package: postgresql-10-plpgsql-check
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-11-plpgsql-check
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-12-plpgsql-check
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-13-plpgsql-check
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
 
 Package: postgresql-14-plpgsql-check
 Architecture: any

## plpgsql-check 2.1.7

=== debian/changelog ===
plpgsql-check (2.1.7-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 30 May 2022 17:20:35 +0200

## plpgsql-check 2.1.8

=== debian/changelog ===
plpgsql-check (2.1.8-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Aug 2022 19:47:44 +0200

plpgsql-check (2.1.8-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 19:47:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stefan Hühner <stefan.huehner@openbravo.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  libicu-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## plpgsql-check 2.2.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = plpgsql_check
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
-DATA = plpgsql_check--2.1.sql
+DATA = plpgsql_check--2.2.sql
 EXTENSION = plpgsql_check
 
 ifndef MAJORVERSION

=== debian/changelog ===
plpgsql-check (2.2.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Nov 2022 12:57:01 +0100

plpgsql-check (2.2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 14:18:20 +0100

plpgsql-check (2.2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Nov 2022 16:42:11 +0100

plpgsql-check (2.2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:30:54 +0200

plpgsql-check (2.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2022 16:11:48 +0200

plpgsql-check (2.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Sep 2022 10:17:57 +0200

plpgsql-check (2.1.10-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Sep 2022 15:13:20 +0200

## plpgsql-check 2.3.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = plpgsql_check
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
-DATA = plpgsql_check--2.2.sql
+DATA = plpgsql_check--2.3.sql
 EXTENSION = plpgsql_check
 
 ifndef MAJORVERSION

=== debian/changelog ===
plpgsql-check (2.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Feb 2023 09:55:18 +0100

plpgsql-check (2.2.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Jan 2023 13:58:04 +0200

=== debian/control ===
Source: plpgsql-check
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Stefan Hühner <stefan.huehner@openbravo.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/okbob/plpgsql_check
Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git

Package: postgresql-15-plpgsql-check
Architecture: any
Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

## plpgsql-check 2.3.3

=== debian/changelog ===
plpgsql-check (2.3.3-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Mar 2023 12:10:29 +0100

## plpgsql-check 2.3.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 REGRESS_OPTS = --dbname=$(PL_TESTDB)
 REGRESS = plpgsql_check_passive plpgsql_check_active plpgsql_check_active-$(MAJORVERSION) plpgsql_check_passive-$(MAJORVERSION)
 
-override CFLAGS += -Wextra -g
+override CFLAGS += -g
 
 ifdef NO_PGXS
 subdir = contrib/plpgsql_check

=== debian/changelog ===
plpgsql-check (2.3.4-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 18 Jul 2023 15:23:35 +0300

plpgsql-check (2.3.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2023 15:23:35 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stefan Hühner <stefan.huehner@openbravo.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libicu-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.6.1
@@ -14,6 +14,96 @@
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
+
+Package: postgresql-10-plpgsql-check
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-11-plpgsql-check
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-12-plpgsql-check
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-13-plpgsql-check
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-14-plpgsql-check
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
 
 Package: postgresql-15-plpgsql-check
 Architecture: any

## plpgsql-check 2.7.2

=== debian/changelog ===
plpgsql-check (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Jan 2024 10:33:55 +0100

plpgsql-check (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Jan 2024 10:56:12 +0100

plpgsql-check (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Dec 2023 14:35:51 +0100

plpgsql-check (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 11:56:29 +0000

plpgsql-check (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Nov 2023 11:30:43 +0100

plpgsql-check (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 15:45:38 +0200

plpgsql-check (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Oct 2023 09:32:49 +0200

plpgsql-check (2.5.1-1) unstable; urgency=medium

  * New upstream version compatible with PG12+.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 17:54:19 +0200

=== debian/control ===
Source: plpgsql-check
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Stefan Hühner <stefan.huehner@openbravo.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/okbob/plpgsql_check
Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git

Package: postgresql-16-plpgsql-check
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

## plpgsql-check 2.7.7

=== debian/changelog ===
plpgsql-check (2.7.7-1) unstable; urgency=medium

  * New upstream version 2.7.7.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Jul 2024 18:02:34 +0200

plpgsql-check (2.7.6-1) unstable; urgency=medium

  * New upstream version 2.7.6.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jun 2024 17:22:21 +0200

plpgsql-check (2.7.5-1) unstable; urgency=medium

  * New upstream version 2.7.5.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Apr 2024 08:50:28 +0200

plpgsql-check (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Mar 2024 15:30:27 +0100

## plpgsql-check 2.7.8

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = plpgsql_check
 OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
-DATA = plpgsql_check--2.3.sql
+DATA = plpgsql_check--2.7.sql
 EXTENSION = plpgsql_check
 
 ifndef MAJORVERSION
@@ -25,8 +25,4 @@
 include $(PGXS)
 endif
 
-ifeq ($(PORTNAME), darwin)
-override CFLAGS += -undefined dynamic_lookup
-endif
-
 override CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src -Wall

=== debian/changelog ===
plpgsql-check (2.7.8-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Aug 2024 18:35:04 +0200

plpgsql-check (2.7.8-1) unstable; urgency=medium

  * New upstream version 2.7.8.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 18:35:04 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,78 @@
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
+
+Package: postgresql-12-plpgsql-check
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-13-plpgsql-check
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-14-plpgsql-check
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-15-plpgsql-check
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
 
 Package: postgresql-16-plpgsql-check
 Architecture: any

## plpgsql-check 2.7.12

=== debian/changelog ===
plpgsql-check (2.7.12-1) unstable; urgency=medium

  * New upstream version 2.7.12.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Oct 2024 14:21:22 +0200

plpgsql-check (2.7.11-1) unstable; urgency=medium

  * New upstream version 2.7.11.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Sep 2024 09:44:46 +0200

plpgsql-check (2.7.10-1) unstable; urgency=medium

  * New upstream version 2.7.10.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:20:01 +0200

## plpgsql-check 2.7.13

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 else
-PG_CONFIG = pg_config
+PG_CONFIG ?= pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 endif

=== debian/changelog ===
plpgsql-check (2.7.13-1) unstable; urgency=medium

  * New upstream version 2.7.13.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Dec 2024 21:38:23 +0100

## plpgsql-check 2.7.14

=== debian/changelog ===
plpgsql-check (2.7.14-1) unstable; urgency=medium

  * New upstream version 2.7.14.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Feb 2025 13:36:07 +0100

## plpgsql-check 2.7.15

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,6 @@
 REGRESS_OPTS = --dbname=$(PL_TESTDB)
 REGRESS = plpgsql_check_passive plpgsql_check_active plpgsql_check_active-$(MAJORVERSION) plpgsql_check_passive-$(MAJORVERSION)
 
-override CFLAGS += -g
-
 ifdef NO_PGXS
 subdir = contrib/plpgsql_check
 top_builddir = ../..
@@ -25,4 +23,5 @@
 include $(PGXS)
 endif
 
-override CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src -Wall
+# temorary fix of compilation with gcc 15
+override CFLAGS += -Wno-error=incompatible-pointer-types -I$(top_builddir)/src/pl/plpgsql/src -Wall -g

=== debian/changelog ===
plpgsql-check (2.7.15-1.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Feb 2025 20:46:33 +0100

plpgsql-check (2.7.15-1) unstable; urgency=medium

  * New upstream version 2.7.15.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Feb 2025 20:46:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  Stefan Hühner <stefan.huehner@openbravo.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  libicu-dev,
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
@@ -17,7 +19,10 @@
 
 Package: postgresql-12-plpgsql-check
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.
@@ -35,7 +40,10 @@
 
 Package: postgresql-13-plpgsql-check
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.
@@ -53,7 +61,10 @@
 
 Package: postgresql-14-plpgsql-check
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.
@@ -71,7 +82,10 @@
 
 Package: postgresql-15-plpgsql-check
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.
@@ -89,7 +103,10 @@
 
 Package: postgresql-16-plpgsql-check
 Architecture: any
-Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.
@@ -104,3 +121,24 @@
     unused indexes
   * possibility to collect relations and functions used by function
   * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-17-plpgsql-check
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
